Fssai Verification
curl --request GET \
--url https://production.deepvue.tech/v1/business-compliance/fssai-verification \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/business-compliance/fssai-verification"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/business-compliance/fssai-verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/business-compliance/fssai-verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/business-compliance/fssai-verification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/business-compliance/fssai-verification")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/business-compliance/fssai-verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738210452861,
"transaction_id": "5a223ce2c64a439aab009c38246f9ba8",
"sub_code": "SUCCESS",
"message": "FSSAI verified successfully.",
"data": {
"id_number": "21524010000507",
"application_number": "30240523116619907",
"fssai_number": "21524010000507",
"details": [
{
"address_premises": "SHOP NO-F/37,1ST FLR,SEZ PLAZA BLOCK SECTOR MARVE ROAD MALAD WEST, Marve Erangel, Greater Mumbai Ward-P/N, Greater Mumbai, Maharashtra, 400064",
"status_desc": "Registration Certificate issued",
"district_name": "Greater Mumbai",
"fbo_id": 599743778735406,
"display_ref_id": "30240523116619907",
"taluk_name": "Greater Mumbai Ward-P/N",
"company_name": "KRISHNAA AGRO LLP",
"state_premises": "MH",
"district_premises": 458,
"app_type_desc": "New License/New Registration",
"taluk_premises": 4169,
"state_name": "Maharashtra",
"license_category_name": "Registration",
"app_type": "N",
"app_submission_date": "2024-05-23",
"last_updated_on": "2024-06-01",
"pincode": 400064,
"ref_id": 116619907
}
]
}
}KYB
FSSAI Verification
This API is used to verify the FSSAI ID/License Number.
GET
/
v1
/
business-compliance
/
fssai-verification
Fssai Verification
curl --request GET \
--url https://production.deepvue.tech/v1/business-compliance/fssai-verification \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/business-compliance/fssai-verification"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/business-compliance/fssai-verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/business-compliance/fssai-verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/business-compliance/fssai-verification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/business-compliance/fssai-verification")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/business-compliance/fssai-verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738210452861,
"transaction_id": "5a223ce2c64a439aab009c38246f9ba8",
"sub_code": "SUCCESS",
"message": "FSSAI verified successfully.",
"data": {
"id_number": "21524010000507",
"application_number": "30240523116619907",
"fssai_number": "21524010000507",
"details": [
{
"address_premises": "SHOP NO-F/37,1ST FLR,SEZ PLAZA BLOCK SECTOR MARVE ROAD MALAD WEST, Marve Erangel, Greater Mumbai Ward-P/N, Greater Mumbai, Maharashtra, 400064",
"status_desc": "Registration Certificate issued",
"district_name": "Greater Mumbai",
"fbo_id": 599743778735406,
"display_ref_id": "30240523116619907",
"taluk_name": "Greater Mumbai Ward-P/N",
"company_name": "KRISHNAA AGRO LLP",
"state_premises": "MH",
"district_premises": 458,
"app_type_desc": "New License/New Registration",
"taluk_premises": 4169,
"state_name": "Maharashtra",
"license_category_name": "Registration",
"app_type": "N",
"app_submission_date": "2024-05-23",
"last_updated_on": "2024-06-01",
"pincode": 400064,
"ref_id": 116619907
}
]
}
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.